# AccountRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Name** | **string** | Name of the account. Accounts must be unique within an SDKMS instance. | [optional] [default to null]
**Description** | **string** | Account ID uniquely identifying this account. | [optional] [default to null]
**Organization** | **string** | Organization (e.g. company name) that owns this account | [optional] [default to null]
**Country** | **string** | Main country associated with this account | [optional] [default to null]
**Phone** | **string** | Contact phone number associated with this account | [optional] [default to null]
**NotificationPref** | [***NotificationPref**](NotificationPref.md) |  | [optional] [default to null]
**AuthConfig** | [***AuthConfig**](AuthConfig.md) |  | [optional] [default to null]
**AddLoggingConfigs** | [**[]LoggingConfigRequest**](LoggingConfigRequest.md) |  | [optional] [default to null]
**ModLoggingConfigs** | [**map[string]LoggingConfigRequest**](LoggingConfigRequest.md) | Map from UUIDs to LoggingConfigRequest objects | [optional] [default to null]
**DelLoggingConfigs** | **[]string** |  | [optional] [default to null]
**PendingSubscriptionChangeRequest** | [***SubscriptionChangeRequest**](SubscriptionChangeRequest.md) |  | [optional] [default to null]
**Enabled** | **bool** | Whether this account is enabled. This may only be changed by sysadmins. | [optional] [default to null]
**Subscription** | [***SubscriptionType**](SubscriptionType.md) |  | [optional] [default to null]
**CustomMetadata** | **map[string]string** | Sysadmin-defined metadata for this account. Stored as key-value pairs. This field may only be used by sysadmin users.  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


