# FpeOptions

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Radix** | **int32** | The base for input data. | [default to null]
**MinLength** | **int32** | The minimum allowed length for the input data. | [optional] [default to null]
**MaxLength** | **int32** | The maximum allowed length for the input data. | [optional] [default to null]
**Preserve** | **[]int32** | The list of indices of characters to be preserved while performing encryption/decryption. | [optional] [default to null]
**Mask** | **[]int32** | The list of indices of characters to be masked while performing masked decryption. | [optional] [default to null]
**LuhnCheck** | **bool** | Whether encrypted/decrypted data should satisfy LUHN checksum formula. | [optional] [default to null]
**Name** | **string** | The user-friendly name for the data type that represents the input data. | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


