# PersistTransientKeyRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Name** | **string** | Name of the persisted security object. Security object names must be unique within an account. | [default to null]
**Description** | **string** | Description of the persisted security object. | [optional] [default to null]
**CustomMetadata** | **map[string]string** | User-defined metadata for the persisted key. Stored as key-value pairs. | [optional] [default to null]
**Enabled** | **bool** | Whether the new security object should be enabled. Disabled security objects may not perform cryptographic operations.  | [optional] [default to null]
**KeyOps** | [**[]KeyOperations**](KeyOperations.md) | Optional array of key operations to be enabled for this security object. If this property is not provided, the SDKMS server will provide a default set of key operations. Note that if you provide an empty array, all key operations will be disabled.  | [optional] [default to null]
**GroupId** | **string** | Group ID (not name) of the security group that the persisted security object should belong to. The user or application creating this security object must be a member of this group. If no group is specified, the default group for the user or application will be used.  | [optional] [default to null]
**TransientKey** | **string** | Transient key blob. | [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


